webpackJsonp([0],{

/***/ 119:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CategoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Rx__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__review_review__ = __webpack_require__(83);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






//import { ProfilePage } from '../profile/profile';
/**
 * Generated class for the CategoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CategoryPage = /** @class */ (function () {
    function CategoryPage(navCtrl, navParams, loadingCtrl, Global, events, alertCtrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.Global = Global;
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.platform = platform;
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
        this.categoryid = this.navParams.get('id_category');
        this.listenEvents();
    }
    CategoryPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.devWidth = this.platform.width();
        console.log('CATEGORY READY');
        this.loading.present();
        this.getInfoApp = this.Global.getInfoApp();
        this.getInfoApp.subscribe(function (data) {
            _this.infoApp = data;
            console.log('INFOAPP: ', _this.infoApp);
            _this.getCategory = _this.Global.getCategory(_this.categoryid);
            _this.getCategory.subscribe(function (data) {
                _this.category = data;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.category = _this.Global.replaceImgUrl(_this.category);
                }
                _this.reviewsKeys = Object.keys(_this.category.reviews);
                console.log('CATEGORY: ', _this.category);
                _this.Global.viewAnalytics('Category: ' + _this.category.info.room_name);
                _this.loading.dismiss();
            }, function (error) {
                console.log("ERROR TO GET CATEGORY");
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }, function (error) {
            console.log("ERROR TO GET INFOAPP");
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    CategoryPage.prototype.listenEvents = function () {
        var _this = this;
        this.events.subscribe('review:vote', function (review_id, vote) {
            _this.getCategory = _this.Global.getCategory(_this.categoryid);
            _this.getCategory.subscribe(function (data) {
                _this.category = data;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.category = _this.Global.replaceImgUrl(_this.category);
                }
                _this.reviewsKeys = Object.keys(_this.category.reviews);
                console.log('CATEGORY: ', _this.category);
            }, function (error) {
                console.log('ERROR TO GET CATEGORY');
            });
        });
    };
    CategoryPage.prototype.openReviews = function (review_id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__review_review__["a" /* ReviewPage */], { id_review: review_id });
    };
    CategoryPage.prototype.goReview = function (id, title, link_esterno) {
        this.Global.GoTo(link_esterno, title, 'GOEXTERNAL');
    };
    CategoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-category',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\category\category.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>{{category?.info.room_name}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="list-big-content">\n  <img *ngIf="infoApp?.banner_mode != \'review\'" [src]="category?.banner.image" (click)="Global.GoTo(category?.banner.link, category?.banner.title, \'GoExtBanner\')" style="width:100%"/>\n\n  <div class="list-big">\n    <ion-list>\n      <ion-item class="list-item" ion-item *ngFor="let key of reviewsKeys">\n        <ion-row no-padding class="content-row">\n          <ion-col no-padding col-3 col-sm-2 col-md-1 class="item-avatar">\n            <img class="avatar-image" src="{{category?.reviews[key].image}}" (click)="openReviews(category?.reviews[key].id)" />\n          </ion-col>\n          <ion-col no-padding col-5 col-sm-6 col-md-8 class="item-content">\n            <h2 class="review-title" (click)="openReviews(category?.reviews[key].id)">{{category?.reviews[key].title}}</h2>\n            <rating [(ngModel)]="category?.reviews[key].voto" readOnly="true" max="5" emptyStarIconName="star-outline" halfStarIconName="star-half" starIconName="star" nullable="false"></rating>\n            <p class="item-description" rows="1">{{category?.reviews[key].description}}</p>\n            <!-- You can change the rows quantity by using rows="X", where X can be any number for example: rows="4" -->\n          </ion-col>\n          <ion-col no-padding col-4 col-sm-4 col-md-3 class="item-icon">\n            <ion-row no-padding>\n              <button ion-button block large color="primary" *ngIf="infoApp?.banner_mode != \'review\'" (click)="goReview(category?.reviews[key].id,category?.reviews[key].title,category?.reviews[key].link_esterno)">PLAY NOW</button>\n            </ion-row>\n            <ion-row no-padding>\n              <button ion-button block clear class="clear" (click)="openReviews(category?.reviews[key].id)" style="color:#222222">READ</button>\n            </ion-row>\n          </ion-col>\n        </ion-row>\n      </ion-item>\n    </ion-list>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\category\category.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* Platform */]])
    ], CategoryPage);
    return CategoryPage;
}());

//# sourceMappingURL=category.js.map

/***/ }),

/***/ 136:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__category_category__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__review_review__ = __webpack_require__(83);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__wizard_wizard__ = __webpack_require__(137);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__bonus_bonus__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the ListingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ListingPage = /** @class */ (function () {
    function ListingPage(navCtrl, navParams, loadingCtrl, alertCtrl, Global, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.Global = Global;
        this.platform = platform;
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
        this.return = this.navParams.get('returnbonus');
        if (this.return == 'true') {
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__bonus_bonus__["a" /* BonusPage */]);
        }
    }
    ListingPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.devWidth = this.platform.width();
        console.log('HOMEPAGE READY');
        this.loading.present();
        this.getInfoApp = this.Global.getInfoApp();
        this.getInfoApp.subscribe(function (data) {
            _this.infoApp = data;
            if (_this.Global.getStorage('modeapp') == 'offline') {
                _this.infoApp = _this.Global.replaceImgUrl(_this.infoApp);
            }
            console.log('INFO APP: ', _this.infoApp);
            _this.getCategories = _this.Global.getCategories();
            _this.getCategories.subscribe(function (categories) {
                _this.categories = categories;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.categories = _this.Global.replaceImgUrl(_this.categories);
                }
                _this.categoryKeys = Object.keys(_this.categories);
                console.log('CATEGORIES: ', _this.categories);
                _this.getRanking = _this.Global.getRanking();
                _this.getRanking.subscribe(function (ranking) {
                    _this.rank = ranking;
                    if (_this.Global.getStorage('modeapp') == 'offline') {
                        _this.rank = _this.Global.replaceImgUrl(_this.rank);
                    }
                    _this.rankRevKeys = Object.keys(_this.rank.reviews);
                    console.log('RANKING: ', _this.rank);
                    _this.Global.viewAnalytics('Dashboard');
                    _this.loading.dismiss();
                }, function (error) {
                    console.log('ERROR TO GET RANKING');
                    var alert = _this.alertCtrl.create({
                        title: 'Error!',
                        subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                        buttons: ['Cancel']
                    });
                    alert.present();
                });
            }, function (error) {
                console.log('ERROR TO GET CATEGORIES');
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }, function (error) {
            console.log('ERROR TO GET INFO APP');
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    ListingPage.prototype.goToCategory = function (category) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__category_category__["a" /* CategoryPage */], { id_category: category });
    };
    ListingPage.prototype.goToReview = function (reviewid) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__review_review__["a" /* ReviewPage */], { id_review: reviewid });
    };
    ListingPage.prototype.goToQuestion = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_4__wizard_wizard__["a" /* WizardPage */]);
    };
    ListingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-listing',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\listing\listing.html"*/'<ion-header class="listing-header">\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>\n      {{infoApp?.app_title}}\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content class="listing-content">\n  <img *ngIf="infoApp?.banner_mode != \'review\'" [src]="rank?.banner.image" (click)="Global.GoTo(rank?.banner.link, rank?.banner.title, \'GoExtBanner\')" style="width: 100%;"/>\n  <button *ngIf="infoApp?.banner_mode != \'review\'" ion-button class="bestbutton" (click)="goToQuestion()" full><ion-icon class="besticon" name="color-wand"></ion-icon>Casino Wizard Tool</button>\n  <h4 class="categories-title">{{rank?.info.name}}</h4>\n  <ion-scroll scrollX="true" class="horizontal-categories">\n    <ion-row class="categories-row" nowrap>\n      <ion-col col-md-2 col-3  class="horizontal-item"  *ngFor="let key of rankRevKeys">\n        <preload-image [ratio]="{w:1, h:1}" [src]="rank?.reviews[key].image" title="{{rank?.reviews[key].title}}" class="rank-image" (click)="goToReview(rank?.reviews[key].id)"></preload-image>\n        <p class="ranktitle">{{rank?.reviews[key].title}}</p>\n      </ion-col>\n    </ion-row>\n  </ion-scroll>\n  <h4 class="categories-title">{{infoApp?.app_name_categories}}</h4>\n  <ion-row class="grid-categories">\n    <ion-col col-12 col-md-12 class="category-item" *ngFor="let key of categoryKeys">\n      <background-image tappable class="category-heading" [src]="categories[key]?.image" (click)="goToCategory(categories[key].term_id)">\n        <ion-row class="heading-row" col-12>\n          <ion-col no-padding col-12>\n            <h2 class="category-title">{{categories[key]?.room_name}}</h2>\n          </ion-col>\n        </ion-row>\n      </background-image>\n    </ion-col>\n  </ion-row>\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\listing\listing.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_6__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* Platform */]])
    ], ListingPage);
    return ListingPage;
}());

//# sourceMappingURL=listing.js.map

/***/ }),

/***/ 137:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WizardPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_global_var_global_var__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__category_category__ = __webpack_require__(119);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the WizardPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WizardPage = /** @class */ (function () {
    function WizardPage(navCtrl, navParams, Global, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.Global = Global;
        this.loadingCtrl = loadingCtrl;
        this.budget = 'high';
        this.level = 'expert';
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
    }
    WizardPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('WIZARD READY');
        this.slides.lockSwipes(true);
        this.loading.present();
        this.getCategories = this.Global.getCategories();
        this.getCategories.subscribe(function (categories) {
            _this.categories = categories;
            if (_this.Global.getStorage('modeapp') == 'offline') {
                _this.categories = _this.Global.replaceImgUrl(_this.categories);
            }
            _this.categoryKeys = Object.keys(_this.categories);
            console.log('CATEGORIES: ', _this.categories);
            _this.country = _this.categories[1].term_id;
            _this.Global.viewAnalytics('Wizard');
            _this.loading.dismiss();
        }, function (error) {
            console.log('ERROR TO GET CATEGORIES IN WIZARD');
        });
    };
    WizardPage.prototype.goToNext = function () {
        this.slides.lockSwipes(false);
        this.slides.slideNext(300, true);
        this.slides.lockSwipes(true);
    };
    WizardPage.prototype.goToCategory = function (category) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__category_category__["a" /* CategoryPage */], { id_category: category });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Slides */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Slides */])
    ], WizardPage.prototype, "slides", void 0);
    WizardPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-wizard',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\wizard\wizard.html"*/'<!--\n  Generated template for the Question page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Casino Wizard Service</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <ion-slides #slider>\n\n    <ion-slide class="slide-0" padding>\n      <h1>Fill out the form and the system will return you the best services for your liking.</h1>\n\n      <button ion-button block (click)="goToNext()">Next</button>\n\n    </ion-slide>\n\n    <ion-slide class="slide-1" padding>\n      <h1>Select your budget!</h1>\n\n      <ion-item>\n        <ion-label>Budget</ion-label>\n        <ion-select [(ngModel)]="budget">\n          <ion-option value="high">High</ion-option>\n          <ion-option value="medium">Medium</ion-option>\n          <ion-option value="low">Low</ion-option>\n        </ion-select>\n\n      </ion-item>\n\n      <button ion-button block (click)="goToNext()">Next</button>\n\n    </ion-slide>\n    <ion-slide class="slide-2" padding>\n      <h1>Select your level!</h1>\n\n      <ion-item>\n        <ion-label>Level</ion-label>\n        <ion-select [(ngModel)]="level">\n          <ion-option value="expert">Expert</ion-option>\n          <ion-option value="average">Average</ion-option>\n          <ion-option value="beginner">Beginner</ion-option>\n        </ion-select>\n\n      </ion-item>\n\n      <button ion-button block (click)="goToNext()">Next</button>\n\n    </ion-slide>\n    <ion-slide class="slide-3" padding>\n      <h1>Select your room!</h1>\n\n      <ion-item>\n        <ion-label>Room</ion-label>\n        <ion-select [(ngModel)]="country">\n          <ion-option value="{{categories[key]?.term_id}}" *ngFor="let key of categoryKeys">{{categories[key]?.room_name}}</ion-option>\n        </ion-select>\n      </ion-item>\n\n      <button ion-button block (click)="goToCategory(country)">Show</button>\n\n    </ion-slide>\n  </ion-slides>\n\n\n\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\wizard\wizard.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */]])
    ], WizardPage);
    return WizardPage;
}());

//# sourceMappingURL=wizard.js.map

/***/ }),

/***/ 138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BonusPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__listing_listing__ = __webpack_require__(136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the BonusPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BonusPage = /** @class */ (function () {
    function BonusPage(navCtrl, navParams, Global, loadingCtrl, loadiCtrlEmail, formBuilder, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.Global = Global;
        this.loadingCtrl = loadingCtrl;
        this.loadiCtrlEmail = loadiCtrlEmail;
        this.formBuilder = formBuilder;
        this.alertCtrl = alertCtrl;
        this.displayerror = 'none';
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
        this.loadingEmail = this.loadiCtrlEmail.create({
            content: 'Please wait...'
        });
        this.sendemailstorage = this.Global.getStorage('email');
        console.log('SENDEMAIL: ', this.sendemailstorage);
        this.emailform = this.formBuilder.group({
            email: ['']
        });
    }
    BonusPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('BONUSPAGE READY');
        this.loading.present();
        this.getInfoApp = this.Global.getInfoApp();
        this.getInfoApp.subscribe(function (data) {
            _this.infoApp = data;
            if (_this.Global.getStorage('modeapp') == 'offline') {
                _this.infoApp = _this.Global.replaceImgUrl(_this.infoApp);
            }
            _this.getBonuses = _this.Global.getBonuses();
            _this.getBonuses.subscribe(function (bonuses) {
                _this.bonuses = bonuses.bonuses;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.bonuses = _this.Global.replaceImgUrl(_this.bonuses);
                }
                _this.bonusesKey = Object.keys(_this.bonuses);
                console.log('BONUSES: ', _this.bonuses);
                _this.Global.viewAnalytics('Bonus');
                _this.loading.dismiss();
            }, function (error) {
                console.log('ERROR TO GET BONUSES APP');
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }, function (error) {
            console.log('ERROR TO GET INFO APP');
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    BonusPage.prototype.sendEmail = function () {
        var _this = this;
        this.emailObj = this.emailform.controls;
        this.email = this.emailObj.email.value;
        console.log('EMAIL: ' + this.email);
        if (this.validateEmail(this.email)) {
            this.loadingEmail.present();
            this.getSendEmail = this.Global.sendEmail(this.email);
            if (this.getSendEmail != null) {
                this.getSendEmail.subscribe(function (data) {
                    _this.Global.setStorage('email', 'true');
                    _this.displayerror = 'none';
                    _this.loadingEmail.dismiss();
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__listing_listing__["a" /* ListingPage */], { returnbonus: 'true' });
                }, function (error) {
                    console.log('NOT EMAILED SUCCESFULLY');
                    var alert = _this.alertCtrl.create({
                        title: 'Error!',
                        subTitle: 'Email registration failed.',
                        buttons: ['Cancel']
                    });
                });
            }
        }
        else {
            this.displayerror = 'block';
        }
    };
    BonusPage.prototype.validateEmail = function (email) {
        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    };
    BonusPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-bonus',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\bonus\bonus.html"*/'<!--\n  Generated template for the Bonus page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n    <ion-navbar>\n        <button ion-button menuToggle>\n            <ion-icon name="menu"></ion-icon>\n        </button>\n        <ion-title>{{infoApp?.app_name_bonuses}}</ion-title>\n    </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n\n    <div style="padding: 20px" *ngIf="sendemailstorage != \'true\'">\n\n        <h2 style="text-align: center;">Enter your email to access our custom bonuses</h2><br/>\n\n        <form [formGroup]="emailform">\n            <ion-item>\n                <ion-label>Email</ion-label>\n                <ion-input type="text" formControlName="email"></ion-input>\n            </ion-item>\n        </form>\n\n        <button ion-button class="button button-external" (click)="sendEmail()" block>Send</button>\n\n        <span class="erroreemail" [style.display]="displayerror"><ion-icon\n                name="alert"></ion-icon> Not valid email!</span>\n\n    </div>\n\n    <div padding *ngIf="sendemailstorage == \'true\'">\n\n        <ion-col col-md-3 col-12 col-sm-6 *ngFor="let key of bonusesKey" style="display: block; float: left">\n            <ion-card class="card-bonus">\n                <img [src]="bonuses[key]?.image"/>\n                <ion-card-content>\n                    <ion-card-title>\n                        {{bonuses[key]?.title}}\n                    </ion-card-title>\n                    <p [innerHTML]="bonuses[key]?.text" style="height: 65px;"></p>\n                </ion-card-content>\n                <ion-row>\n                    <button ion-button block (click)="Global.GoTo(bonuses[key]?.link, bonuses[key]?.title, \'GoExtBonus\')" *ngIf="infoApp?.banner_mode != \'review\'">{{bonuses[key]?.button_text}}</button>\n                </ion-row>\n            </ion-card>\n        </ion-col>\n\n    </div>\n\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\bonus\bonus.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], BonusPage);
    return BonusPage;
}());

//# sourceMappingURL=bonus.js.map

/***/ }),

/***/ 170:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 170;

/***/ }),

/***/ 214:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/bonus/bonus.module": [
		327
	],
	"../pages/category/category.module": [
		215
	],
	"../pages/catmore/catmore.module": [
		316
	],
	"../pages/game/game.module": [
		319
	],
	"../pages/listing/listing.module": [
		321
	],
	"../pages/page-related/page-related.module": [
		322
	],
	"../pages/related/related.module": [
		324
	],
	"../pages/review/review.module": [
		326
	],
	"../pages/wizard/wizard.module": [
		328
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return Promise.all(ids.slice(1).map(__webpack_require__.e)).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 214;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CategoryPageModule", function() { return CategoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__category__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_components_module__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var CategoryPageModule = /** @class */ (function () {
    function CategoryPageModule() {
    }
    CategoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__category__["a" /* CategoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__category__["a" /* CategoryPage */]),
                __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__["a" /* Ionic2RatingModule */],
                __WEBPACK_IMPORTED_MODULE_4__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], CategoryPageModule);
    return CategoryPageModule;
}());

//# sourceMappingURL=category.module.js.map

/***/ }),

/***/ 30:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobalVarProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(312);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(679);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(256);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_google_analytics__ = __webpack_require__(313);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_onesignal__ = __webpack_require__(314);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/*
  Generated class for the GlobalVarProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var GlobalVarProvider = /** @class */ (function () {
    function GlobalVarProvider(http, loadingCtrl, ga, device, oneSignal) {
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.ga = ga;
        this.device = device;
        this.oneSignal = oneSignal;
        this.wp_api_url = '';
        this.server_api_url = 'https://ignitioncasinoapp.com/';
        this.api_key = '28a26c705c338a164b0867b315dd3870';
        this.cell_mode = 'yes';
        this.analytics_id = 'UA-80014732-21';
        this.offlinefile = 'json';
        this.oneSignalId = '508663f0-7a7a-4c1d-960d-fa28c9d33907';
        this.googleSenderId = '433544325635';
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...',
        });
    }
    GlobalVarProvider.prototype.oneSignalInit = function () {
        this.oneSignal.startInit(this.oneSignalId, this.googleSenderId);
        this.oneSignal.inFocusDisplaying(this.oneSignal.OSInFocusDisplayOption.InAppAlert);
        this.oneSignal.handleNotificationReceived().subscribe(function () {
            // do something when notification is received
        });
        this.oneSignal.handleNotificationOpened().subscribe(function () {
            // do something when a notification is opened
        });
        this.oneSignal.endInit();
    };
    GlobalVarProvider.prototype.showLoading = function () {
        this.loading.present();
    };
    GlobalVarProvider.prototype.hideLoading = function () {
        var _this = this;
        setTimeout(function () {
            _this.loading.dismiss;
        }, 300);
    };
    GlobalVarProvider.prototype.startAnalytics = function () {
        this.ga.startTrackerWithId(this.analytics_id);
    };
    GlobalVarProvider.prototype.viewAnalytics = function (view) {
        if (typeof this.ga != 'undefined') {
            this.ga.trackView(view);
        }
    };
    GlobalVarProvider.prototype.GoTo = function (link, title, event) {
        if (typeof this.ga != 'undefined') {
            this.ga.trackEvent('Click', event, title);
        }
        window.open(link, '_system', 'location=yes');
    };
    GlobalVarProvider.prototype.checkMode = function () {
        return this.http.get(this.server_api_url + 'api/?f=CheckMode')
            .timeout(3000)
            .catch(this.handleError);
    };
    GlobalVarProvider.prototype.GetGame = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get('https://server1988.com/api/request.php?c=' + this.api_key)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetGame.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getInfoApp = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetInfoApp')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetInfoApp.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getCategories = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetCategories')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetCategories.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getCategory = function (cat_id) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetReviewsCategory&cat=' + cat_id)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/categories/category_item_' + cat_id + '.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getRanking = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetClassifica')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetClassifica.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getReview = function (review_id) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetReview&r=' + review_id)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/reviews/review_item_' + review_id + '.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getRelateds = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetCatRelateds')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetCatRelateds.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.GetRelatedPage = function (cat_relateds_id) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetRelateds&c=' + cat_relateds_id)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/categories_related/category_related_item_' + cat_relateds_id + '.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getBonuses = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetBonuses')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetBonuses.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getCatMore = function () {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetCatMore')
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/GetCatMore.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.getReviewsCategoryMore = function (cat_id) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=GetReviewsCategoryMore&cat=' + cat_id)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            this.pathfile = 'data/categories_more/category_more_item_' + cat_id + '.' + this.offlinefile;
            return this.http.get(this.pathfile)
                .catch(this.handleError);
        }
    };
    GlobalVarProvider.prototype.sendVote = function (review_id, device_id, vote) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=SendVote&r=' + review_id + '&d=' + device_id + '&v=' + vote)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            return null;
        }
    };
    GlobalVarProvider.prototype.sendEmail = function (mail) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=SendEmail&c=' + mail)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            return null;
        }
    };
    GlobalVarProvider.prototype.sendLike = function (review_id, device_id) {
        this.typemodeapp = typeof (this.getStorage('modeapp'));
        this.modeapp = this.getStorage('modeapp');
        if (this.modeapp == 'online') {
            return this.http.get(this.server_api_url + 'api/?token=' + this.api_key + '&f=SendLike&r=' + review_id + '&d=' + device_id)
                .catch(this.handleError);
        }
        else if (this.modeapp == 'offline' || this.typemodeapp == 'undefined') {
            return null;
        }
    };
    GlobalVarProvider.prototype.getStorage = function (key) {
        return localStorage.getItem(key);
    };
    GlobalVarProvider.prototype.setStorage = function (key, value) {
        localStorage.setItem(key, value);
    };
    GlobalVarProvider.prototype.replaceImgUrl = function (objectAPP) {
        var objString = JSON.stringify(objectAPP);
        var localPath = 'data/img/';
        objString = objString.replace(/(?=http)(.*?)(?=uploads)/g, localPath);
        objectAPP = JSON.parse(objString);
        return objectAPP;
    };
    GlobalVarProvider.prototype.extractData = function (res) {
        var body = res.json();
        var bodystring = JSON.stringify(body);
        var local_path = "data/img/";
        bodystring = bodystring.replace("https://ignitioncasinoapp.com/wp-content/", local_path);
        body = JSON.parse(bodystring);
        return body.data || {};
    };
    GlobalVarProvider.prototype.extractDataSimple = function (res) {
        var body = function (res) { return res; };
        var bodystring = JSON.stringify(body);
        var local_path = "data/img/";
        bodystring = bodystring.replace("https://ignitioncasinoapp.com/wp-content/", local_path);
        body = JSON.parse(bodystring);
        return body || {};
    };
    GlobalVarProvider.prototype.handleError = function (error) {
        // In a real world app, we might use a remote logging infrastructure
        var errMsg;
        var errObj = { message: '', status: '', description: '', statusText: '', error_fields: {} };
        if (error instanceof __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Response */]) {
            var body = error.json() || '';
            var ERROROBJ = body.error || JSON.stringify(body);
            errObj.message = ERROROBJ.message;
            errObj.description = ERROROBJ.description;
            errObj.error_fields = ERROROBJ.error_fields;
            if (ERROROBJ.error_fields != null) {
                errObj.description = errObj.description + "<br/><br/>";
                for (var key in ERROROBJ.error_fields) {
                    for (var key2 in ERROROBJ.error_fields[key]) {
                        errObj.description = errObj.description + " - " + ERROROBJ.error_fields[key][key2] + "<br/><br/>";
                    }
                }
            }
            if (errObj.description == null) {
                //errObj.description = errObj.message;
                //let varMsg = errObj.message;
                //errObj.message = varMsg;
            }
            errObj.status = "" + error.status;
            errObj.statusText = "" + error.statusText;
        }
        else {
            errMsg = error.message ? error.message : error.toString();
            errObj.message = errMsg;
            errObj.status = null;
            errObj.statusText = null;
        }
        console.log("Errore Server:");
        console.log(error);
        console.log("Errore Object:");
        console.error(errObj);
        return __WEBPACK_IMPORTED_MODULE_4_rxjs__["Observable"].throw(errObj);
    };
    GlobalVarProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__["a" /* Device */], __WEBPACK_IMPORTED_MODULE_8__ionic_native_onesignal__["a" /* OneSignal */]])
    ], GlobalVarProvider);
    return GlobalVarProvider;
}());

//# sourceMappingURL=global-var.js.map

/***/ }),

/***/ 316:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CatmorePageModule", function() { return CatmorePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__catmore__ = __webpack_require__(317);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CatmorePageModule = /** @class */ (function () {
    function CatmorePageModule() {
    }
    CatmorePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__catmore__["a" /* CatmorePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__catmore__["a" /* CatmorePage */]),
            ],
        })
    ], CatmorePageModule);
    return CatmorePageModule;
}());

//# sourceMappingURL=catmore.module.js.map

/***/ }),

/***/ 317:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CatmorePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_social_sharing__ = __webpack_require__(318);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_device__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__review_review__ = __webpack_require__(83);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the CatmorePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CatmorePage = /** @class */ (function () {
    function CatmorePage(navCtrl, navParams, Global, loadingCtrl, actionSheetCtrl, events, device, socialSharing, alertCtrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.Global = Global;
        this.loadingCtrl = loadingCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.events = events;
        this.device = device;
        this.socialSharing = socialSharing;
        this.alertCtrl = alertCtrl;
        this.platform = platform;
        this.catmoreid = this.navParams.get('catmore_id');
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
    }
    CatmorePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.devWidth = this.platform.width();
        console.log('WIDTH: ' + this.devWidth);
        console.log('CATMORE READY');
        this.loading.present();
        this.getReviewsCategoryMore = this.Global.getReviewsCategoryMore(this.catmoreid);
        this.getReviewsCategoryMore.subscribe(function (data) {
            _this.catmore = data;
            if (_this.Global.getStorage('modeapp') == 'offline') {
                _this.catmore = _this.Global.replaceImgUrl(_this.catmore);
            }
            _this.catmorekeys = Object.keys(_this.catmore.reviews);
            console.log('CATMORE: ', _this.catmore);
            _this.getRanking = _this.Global.getRanking();
            _this.getRanking.subscribe(function (ranking) {
                _this.rank = ranking;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.rank = _this.Global.replaceImgUrl(_this.rank);
                }
                _this.rankRevKeys = Object.keys(_this.rank.reviews);
                console.log('RANKING: ', _this.rank);
                _this.Global.viewAnalytics('Cat More:' + _this.catmore.info.room_name);
                _this.loading.dismiss();
            }, function (error) {
                console.log('ERROR TO GET RANKING');
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }, function (error) {
            console.log("ERROR TO GET CATEGORY");
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    CatmorePage.prototype.share = function (link) {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: 'Share on..',
            buttons: [
                {
                    text: 'Share on Whatsapp',
                    handler: function () {
                        _this.socialSharing.shareViaWhatsApp('Share via Whatsapp', null, link).then(function () { }).catch(function () { });
                    }
                },
                {
                    text: 'Share on Facebook',
                    handler: function () {
                        _this.socialSharing.shareViaFacebook('Share via Facebook', null, link).then(function () { }).catch(function () { });
                    }
                },
                {
                    text: 'Share on Twitter',
                    handler: function () {
                        _this.socialSharing.shareViaTwitter('Share via Twitter', null, link).then(function () { }).catch(function () { });
                    }
                },
                {
                    text: 'Cancel',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    CatmorePage.prototype.sendLike = function (review_id) {
        var _this = this;
        this.getSendLike = this.Global.sendLike(review_id, this.device.uuid);
        if (this.getSendLike != null) {
            this.getSendLike.subscribe(function (data) {
                console.log('LIKE: ', data);
                _this.getReviewsCategoryMore = _this.Global.getReviewsCategoryMore(_this.catmoreid);
                _this.getReviewsCategoryMore.subscribe(function (reviews) {
                    _this.catmore = reviews;
                    if (_this.Global.getStorage('modeapp') == 'offline') {
                        _this.catmore = _this.Global.replaceImgUrl(_this.catmore);
                    }
                    _this.catmorekeys = Object.keys(_this.catmore.reviews);
                    console.log('CATMORE: ', _this.catmore);
                }, function (error) {
                    console.log("ERROR TO GET REVIEWS IN CATEGORY MORE");
                });
            }, function (error) {
                console.log("ERROR TO SEND LIKE");
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Action like has failed.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }
    };
    CatmorePage.prototype.openReviews = function (review_id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__review_review__["a" /* ReviewPage */], { id_review: review_id });
    };
    CatmorePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-catmore',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\catmore\catmore.html"*/'<!--\n  Generated template for the Catmore page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>{{catmore?.info.room_name}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content no-padding>\n  <img *ngIf="infoApp?.banner_mode != \'review\'" [src]="rank?.banner.image" (click)="Global.GoTo(rank?.banner.link, rank?.banner.title, \'GoExtBanner\')" style="width: 100%;"/>\n\n  <div class="list-big">\n    <ion-list>\n      <ion-item class="list-item" ion-item *ngFor="let key of catmorekeys">\n        <ion-row no-padding class="content-row" (click)="openReviews(catmore?.reviews[key].id)">\n          <ion-col no-padding col-3 col-sm-2 col-md-1 class="item-avatar">\n            <img class="avatar-image" src="{{catmore?.reviews[key].image}}" (click)="openReviews(catmore?.reviews[key].id)" />\n          </ion-col>\n          <ion-col no-padding col-5 col-sm-6 col-md-8 class="item-content">\n            <h2 class="review-title" (click)="openReviews(catmore?.reviews[key].id)">{{catmore?.reviews[key].title}}</h2>\n            <p class="item-description" rows="1">{{catmore?.reviews[key].description}}</p>\n            <!-- You can change the rows quantity by using rows="X", where X can be any number for example: rows="4" -->\n          </ion-col>\n          <ion-col no-padding col-4 col-sm-4 col-md-3 class="item-icon">\n            <ion-row no-padding>\n              <button ion-button block large color="primary" (click)="Global.GoTo(catmore?.reviews[key].link_esterno, catmore?.reviews[key].title, \'GOTO CATMORE\')">PLAY NOW</button>\n            </ion-row>\n            <ion-row no-padding>\n              <button ion-button block clear class="clear" (click)="openReviews(catmore?.reviews[key].id)" style="color:#222222">READ REVIEW</button>\n            </ion-row>\n          </ion-col>\n        </ion-row>\n      </ion-item>\n    </ion-list>\n  </div>\n\n  <!--<ion-col col-md-3 col-12 col-sm-6 style="display: block; float: left">\n    <ion-card *ngFor="let key of catmorekeys">\n\n      <ion-item>\n        <h3 style="text-align:center">{{catmore?.reviews[key].title}}</h3>\n      </ion-item>\n\n      <img src="{{catmore?.reviews[key].image}}">\n\n      <ion-card-content>\n        <p [innerHTML]="catmore?.reviews[key].description"></p>\n      </ion-card-content>\n\n      <ion-row>\n        <ion-col center text-center>\n          <button ion-button icon-left small (click)="share(catmore?.reviews[key].link_esterno)">\n            <ion-icon name="share-alt"></ion-icon>\n            <div>Share</div>\n          </button>\n          <button ion-button icon-left large (click)="Global.GoTo(catmore?.reviews[key].link_esterno, catmore?.reviews[key].title, \'GOTO CATMORE\')">\n            <ion-icon name="paper-plane"></ion-icon>\n            <div>Play Now</div>\n          </button>\n        </ion-col>\n        <ion-col center text-center>\n          <button ion-button icon-left clear small (click)="sendLike(catmore?.reviews[key].id)" style="color:#222222">\n            <ion-icon name="thumbs-up"></ion-icon>\n            <div>{{catmore?.reviews[key].like_count}} Likes</div>\n          </button>\n        </ion-col>\n      </ion-row>\n\n    </ion-card>\n  </ion-col>-->\n\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\catmore\catmore.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_device__["a" /* Device */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_social_sharing__["a" /* SocialSharing */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* Platform */]])
    ], CatmorePage);
    return CatmorePage;
}());

//# sourceMappingURL=catmore.js.map

/***/ }),

/***/ 319:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GamePageModule", function() { return GamePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__game__ = __webpack_require__(320);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GamePageModule = /** @class */ (function () {
    function GamePageModule() {
    }
    GamePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__game__["a" /* GamePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__game__["a" /* GamePage */]),
            ],
        })
    ], GamePageModule);
    return GamePageModule;
}());

//# sourceMappingURL=game.module.js.map

/***/ }),

/***/ 320:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GamePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the GamePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var GamePage = /** @class */ (function () {
    function GamePage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    GamePage.prototype.ionViewDidLoad = function () {
        console.log('GAMEPAGE READY');
    };
    GamePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-game',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\game\game.html"*/'<!--\n  Generated template for the GamePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="listing-header">\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>\n      Slots\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content>\n  <iframe frameborder="0" src="https://bestmobileonline.casino/slots-page/"></iframe>\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\game\game.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], GamePage);
    return GamePage;
}());

//# sourceMappingURL=game.js.map

/***/ }),

/***/ 321:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ListingPageModule", function() { return ListingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__listing__ = __webpack_require__(136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_components_module__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var ListingPageModule = /** @class */ (function () {
    function ListingPageModule() {
    }
    ListingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__listing__["a" /* ListingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__listing__["a" /* ListingPage */]),
                __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__["a" /* Ionic2RatingModule */],
                __WEBPACK_IMPORTED_MODULE_4__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], ListingPageModule);
    return ListingPageModule;
}());

//# sourceMappingURL=listing.module.js.map

/***/ }),

/***/ 322:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PageRelatedPageModule", function() { return PageRelatedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__page_related__ = __webpack_require__(323);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PageRelatedPageModule = /** @class */ (function () {
    function PageRelatedPageModule() {
    }
    PageRelatedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__page_related__["a" /* PageRelatedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__page_related__["a" /* PageRelatedPage */]),
            ],
        })
    ], PageRelatedPageModule);
    return PageRelatedPageModule;
}());

//# sourceMappingURL=page-related.module.js.map

/***/ }),

/***/ 323:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PageRelatedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PageRelatedPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PageRelatedPage = /** @class */ (function () {
    function PageRelatedPage(navCtrl, navParams, Global, sanitizer, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.Global = Global;
        this.sanitizer = sanitizer;
        this.loadingCtrl = loadingCtrl;
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
    }
    PageRelatedPage.prototype.ionViewDidLoad = function () {
        console.log('PAGERELATED READY');
        this.loading.present();
        this.pagerelatedlink = this.navParams.get('pagerelated_link');
        this.pagerelatedtitolo = this.navParams.get('pagerelated_titolo');
        this.Global.viewAnalytics('Page Related: ' + this.pagerelatedtitolo);
        this.loading.dismiss();
    };
    PageRelatedPage.prototype.url = function () {
        return this.sanitizer.bypassSecurityTrustResourceUrl(this.pagerelatedlink);
    };
    PageRelatedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-page-related',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\page-related\page-related.html"*/'<!--\n  Generated template for the PageRelated page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n\n    <ion-title>{{pagerelatedtitolo}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <iframe frameborder="0" [src]="url()"></iframe>\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\page-related\page-related.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */]])
    ], PageRelatedPage);
    return PageRelatedPage;
}());

//# sourceMappingURL=page-related.js.map

/***/ }),

/***/ 324:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RelatedPageModule", function() { return RelatedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__related__ = __webpack_require__(325);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RelatedPageModule = /** @class */ (function () {
    function RelatedPageModule() {
    }
    RelatedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__related__["a" /* RelatedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__related__["a" /* RelatedPage */]),
            ],
        })
    ], RelatedPageModule);
    return RelatedPageModule;
}());

//# sourceMappingURL=related.module.js.map

/***/ }),

/***/ 325:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RelatedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the RelatedPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RelatedPage = /** @class */ (function () {
    function RelatedPage(navCtrl, navParams, loadingCtrl, Global, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.Global = Global;
        this.alertCtrl = alertCtrl;
        this.relatedid = this.navParams.get('relatedid');
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
    }
    RelatedPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('RELATED READY');
        this.loading.present();
        this.getRelatedPage = this.Global.GetRelatedPage(this.relatedid);
        this.getRelatedPage.subscribe(function (data) {
            console.log(data);
            _this.related = data;
            if (_this.Global.getStorage('modeapp') == 'offline') {
                _this.related = _this.Global.replaceImgUrl(_this.related);
            }
            _this.relatedsKeys = Object.keys(_this.related.relateds);
            console.log('RELATED: ', _this.related);
            _this.Global.viewAnalytics('Related: ' + _this.related.info.name);
            _this.loading.dismiss();
        }, function (error) {
            console.log('ERROR TO GET RELATED');
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    RelatedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-related',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\related\related.html"*/'<!--\n  Generated template for the Related page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>{{related?.info.name}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n\n  <ion-card *ngFor="let key of relatedsKeys">\n  <img [src]="related?.relateds[key].image"/>\n  <ion-card-content>\n    <ion-card-title>\n      {{related?.relateds[key].title}}\n      </ion-card-title>\n    <p [innerHTML]="related?.relateds[key].text"></p>\n  </ion-card-content>\n  <ion-row>\n      <button ion-button block class="gooutbutton" (click)="Global.GoTo(related?.relateds[key].link,related?.relateds[key].title)">{{related?.relateds[key].button_text}}</button>\n  </ion-row>\n</ion-card>\n\n</ion-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\related\related.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], RelatedPage);
    return RelatedPage;
}());

//# sourceMappingURL=related.js.map

/***/ }),

/***/ 326:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReviewPageModule", function() { return ReviewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__review__ = __webpack_require__(83);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_components_module__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var ReviewPageModule = /** @class */ (function () {
    function ReviewPageModule() {
    }
    ReviewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__review__["a" /* ReviewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__review__["a" /* ReviewPage */]),
                __WEBPACK_IMPORTED_MODULE_3_ionic2_rating__["a" /* Ionic2RatingModule */],
                __WEBPACK_IMPORTED_MODULE_4__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], ReviewPageModule);
    return ReviewPageModule;
}());

//# sourceMappingURL=review.module.js.map

/***/ }),

/***/ 327:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BonusPageModule", function() { return BonusPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bonus__ = __webpack_require__(138);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BonusPageModule = /** @class */ (function () {
    function BonusPageModule() {
    }
    BonusPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bonus__["a" /* BonusPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bonus__["a" /* BonusPage */]),
            ],
        })
    ], BonusPageModule);
    return BonusPageModule;
}());

//# sourceMappingURL=bonus.module.js.map

/***/ }),

/***/ 328:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WizardPageModule", function() { return WizardPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__wizard__ = __webpack_require__(137);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WizardPageModule = /** @class */ (function () {
    function WizardPageModule() {
    }
    WizardPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__wizard__["a" /* WizardPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__wizard__["a" /* WizardPage */]),
            ],
        })
    ], WizardPageModule);
    return WizardPageModule;
}());

//# sourceMappingURL=wizard.module.js.map

/***/ }),

/***/ 370:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(371);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(375);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 375:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(368);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(369);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_common_http__ = __webpack_require__(312);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(700);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_device__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_google_analytics__ = __webpack_require__(313);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_ionic2_rating__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_social_sharing__ = __webpack_require__(318);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_onesignal__ = __webpack_require__(314);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_listing_listing_module__ = __webpack_require__(321);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_game_game_module__ = __webpack_require__(319);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_category_category_module__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_review_review_module__ = __webpack_require__(326);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_related_related_module__ = __webpack_require__(324);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_wizard_wizard_module__ = __webpack_require__(328);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_bonus_bonus_module__ = __webpack_require__(327);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_catmore_catmore_module__ = __webpack_require__(316);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_page_related_page_related_module__ = __webpack_require__(322);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__components_components_module__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__app_component__ = __webpack_require__(704);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
























var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_22__app_component__["a" /* MyApp */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_5__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_18__pages_bonus_bonus_module__["BonusPageModule"],
                __WEBPACK_IMPORTED_MODULE_14__pages_category_category_module__["CategoryPageModule"],
                __WEBPACK_IMPORTED_MODULE_13__pages_game_game_module__["GamePageModule"],
                __WEBPACK_IMPORTED_MODULE_15__pages_review_review_module__["ReviewPageModule"],
                __WEBPACK_IMPORTED_MODULE_16__pages_related_related_module__["RelatedPageModule"],
                __WEBPACK_IMPORTED_MODULE_17__pages_wizard_wizard_module__["WizardPageModule"],
                __WEBPACK_IMPORTED_MODULE_19__pages_catmore_catmore_module__["CatmorePageModule"],
                __WEBPACK_IMPORTED_MODULE_20__pages_page_related_page_related_module__["PageRelatedPageModule"],
                __WEBPACK_IMPORTED_MODULE_12__pages_listing_listing_module__["ListingPageModule"],
                __WEBPACK_IMPORTED_MODULE_21__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
                __WEBPACK_IMPORTED_MODULE_9_ionic2_rating__["a" /* Ionic2RatingModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["g" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_22__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/category/category.module#CategoryPageModule', name: 'CategoryPage', segment: 'category', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/catmore/catmore.module#CatmorePageModule', name: 'CatmorePage', segment: 'catmore', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/game/game.module#GamePageModule', name: 'GamePage', segment: 'game', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/listing/listing.module#ListingPageModule', name: 'ListingPage', segment: 'listing', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/page-related/page-related.module#PageRelatedPageModule', name: 'PageRelatedPage', segment: 'page-related', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/related/related.module#RelatedPageModule', name: 'RelatedPage', segment: 'related', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/review/review.module#ReviewPageModule', name: 'ReviewPage', segment: 'review', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/bonus/bonus.module#BonusPageModule', name: 'BonusPage', segment: 'bonus', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/wizard/wizard.module#WizardPageModule', name: 'WizardPage', segment: 'wizard', priority: 'low', defaultHistory: [] }
                    ]
                }),
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_22__app_component__["a" /* MyApp */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_google_analytics__["a" /* GoogleAnalytics */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_onesignal__["a" /* OneSignal */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_social_sharing__["a" /* SocialSharing */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["v" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_23__providers_global_var_global_var__["a" /* GlobalVarProvider */]
            ],
            schemas: [
                __WEBPACK_IMPORTED_MODULE_1__angular_core__["i" /* CUSTOM_ELEMENTS_SCHEMA */],
                __WEBPACK_IMPORTED_MODULE_1__angular_core__["J" /* NO_ERRORS_SCHEMA */]
            ],
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 681:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BackgroundImageComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__ = __webpack_require__(2);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the BackgroundImageComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var BackgroundImageComponent = /** @class */ (function () {
    function BackgroundImageComponent(_elementRef, _renderer) {
        this._elementRef = _elementRef;
        this._renderer = _renderer;
        this._src = '';
    }
    Object.defineProperty(BackgroundImageComponent.prototype, "src", {
        set: function (val) {
            this._src = Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__["l" /* isPresent */])(val) ? val : '';
        },
        enumerable: true,
        configurable: true
    });
    BackgroundImageComponent.prototype.ngOnChanges = function (changes) {
        this._update();
        // console.log("CHANGES background-image", this._src);
        // console.log(changes['src'].isFirstChange());
    };
    BackgroundImageComponent.prototype._update = function () {
        var _this = this;
        var img = new Image();
        img.addEventListener('load', function () {
            _this._elementRef.nativeElement.style.backgroundImage = 'url(' + _this._src + ')';
            _this._loaded(true);
        });
        img.src = this._src;
        this._loaded(false);
    };
    BackgroundImageComponent.prototype._loaded = function (isLoaded) {
        this._elementRef.nativeElement.classList[isLoaded ? 'add' : 'remove']('img-loaded');
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String)
    ], BackgroundImageComponent.prototype, "class", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String),
        __metadata("design:paramtypes", [String])
    ], BackgroundImageComponent.prototype, "src", null);
    BackgroundImageComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'background-image',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\components\background-image\background-image.html"*/'<span class="bg-overlay"></span>\n	<ion-spinner name="bubbles"></ion-spinner>\n<ng-content></ng-content>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\components\background-image\background-image.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */], __WEBPACK_IMPORTED_MODULE_0__angular_core__["X" /* Renderer */]])
    ], BackgroundImageComponent);
    return BackgroundImageComponent;
}());

//# sourceMappingURL=background-image.js.map

/***/ }),

/***/ 682:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PreloadImageComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__ = __webpack_require__(2);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the PreloadImageComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var PreloadImageComponent = /** @class */ (function () {
    function PreloadImageComponent(_elementRef, _renderer) {
        this._elementRef = _elementRef;
        this._renderer = _renderer;
        this._src = '';
        this._img = new Image();
    }
    Object.defineProperty(PreloadImageComponent.prototype, "src", {
        set: function (val) {
            this._src = Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__["l" /* isPresent */])(val) ? val : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PreloadImageComponent.prototype, "ratio", {
        set: function (ratio) {
            this._ratio = ratio || null;
        },
        enumerable: true,
        configurable: true
    });
    PreloadImageComponent.prototype.ngOnChanges = function (changes) {
        var ratio_height = (this._ratio.h / this._ratio.w * 100) + "%";
        // Conserve aspect ratio (see: http://stackoverflow.com/a/10441480/1116959)
        this._renderer.setElementStyle(this._elementRef.nativeElement, 'padding-bottom', ratio_height);
        this._update();
        // console.log("CHANGES preload-image", this._src);
        // console.log(changes['src'].isFirstChange());
    };
    PreloadImageComponent.prototype._update = function () {
        var _this = this;
        if (Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__["l" /* isPresent */])(this.alt)) {
            this._img.alt = this.alt;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular_util_util__["l" /* isPresent */])(this.title)) {
            this._img.title = this.title;
        }
        this._img.addEventListener('load', function () {
            _this._elementRef.nativeElement.appendChild(_this._img);
            _this._loaded(true);
        });
        this._img.src = this._src;
        this._loaded(false);
    };
    PreloadImageComponent.prototype._loaded = function (isLoaded) {
        this._elementRef.nativeElement.classList[isLoaded ? 'add' : 'remove']('img-loaded');
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String)
    ], PreloadImageComponent.prototype, "alt", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String)
    ], PreloadImageComponent.prototype, "title", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String),
        __metadata("design:paramtypes", [String])
    ], PreloadImageComponent.prototype, "src", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], PreloadImageComponent.prototype, "ratio", null);
    PreloadImageComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'preload-image',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\components\preload-image\preload-image.html"*/'<ion-spinner name="bubbles"></ion-spinner>\n<ng-content></ng-content>'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\components\preload-image\preload-image.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */], __WEBPACK_IMPORTED_MODULE_0__angular_core__["X" /* Renderer */]])
    ], PreloadImageComponent);
    return PreloadImageComponent;
}());

//# sourceMappingURL=preload-image.js.map

/***/ }),

/***/ 704:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(369);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(368);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_game_game__ = __webpack_require__(320);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_listing_listing__ = __webpack_require__(136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_related_related__ = __webpack_require__(325);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_wizard_wizard__ = __webpack_require__(137);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_bonus_bonus__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_catmore_catmore__ = __webpack_require__(317);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_page_related_page_related__ = __webpack_require__(323);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_16" /* enableProdMode */])();








var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen, Global, alertCtrl, menu, app) {
        var _this = this;
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.Global = Global;
        this.alertCtrl = alertCtrl;
        this.menu = menu;
        this.app = app;
        this.gamepage = __WEBPACK_IMPORTED_MODULE_4__pages_game_game__["a" /* GamePage */];
        this.listingpage = __WEBPACK_IMPORTED_MODULE_5__pages_listing_listing__["a" /* ListingPage */];
        this.wizardpage = __WEBPACK_IMPORTED_MODULE_7__pages_wizard_wizard__["a" /* WizardPage */];
        this.bonuspage = __WEBPACK_IMPORTED_MODULE_8__pages_bonus_bonus__["a" /* BonusPage */];
        platform.ready().then(function () {
            if (platform.is('cordova')) {
                _this.Global.oneSignalInit();
            }
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.Global.startAnalytics();
            _this.Global.checkMode()
                .subscribe(function (data) {
                _this.modeapp = 'online';
                _this.check = data.check;
                console.log('CHECK: ' + _this.check);
                if (_this.check == true) {
                    console.log('SERVER ONLINE');
                    _this.Global.setStorage('modeapp', _this.modeapp);
                    _this.getGame = _this.Global.GetGame();
                    _this.getGame.subscribe(function (data) {
                        _this.game = data.game;
                        if (_this.game == false) {
                            _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_5__pages_listing_listing__["a" /* ListingPage */]);
                        }
                        else {
                            _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_4__pages_game_game__["a" /* GamePage */]);
                        }
                    }, function (error) {
                        console.log('ERROR TO GET GAME IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getInfoApp = _this.Global.getInfoApp();
                    _this.getInfoApp.subscribe(function (data) {
                        _this.infoApp = data;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.infoApp = _this.Global.replaceImgUrl(_this.infoApp);
                        }
                    }, function (error) {
                        console.log('ERROR TO GET INFO APP IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getCatMore = _this.Global.getCatMore();
                    _this.getCatMore.subscribe(function (more) {
                        _this.catMore = more;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.catMore = _this.Global.replaceImgUrl(_this.catMore);
                        }
                        _this.catMoreKeys = Object.keys(_this.catMore);
                        console.log('CATMORE: ', _this.catMore);
                    }, function (error) {
                        console.log('ERROR TO GET CATMORE IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getRelated = _this.Global.getRelateds();
                    _this.getRelated.subscribe(function (related) {
                        _this.related = related;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.related = _this.Global.replaceImgUrl(_this.related);
                        }
                        _this.relatedKeys = Object.keys(_this.related);
                        console.log('RELATEDS: ', _this.related);
                    }, function (error) {
                        console.log('ERROR TO GET RELATEDS IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                }
                else {
                    console.log('SERVER OFFLINE');
                    _this.Global.setStorage('modeapp', 'offline');
                    _this.getGame = _this.Global.GetGame();
                    _this.getGame.subscribe(function (data) {
                        _this.game = data.game;
                        if (_this.game == false) {
                            _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_5__pages_listing_listing__["a" /* ListingPage */]);
                        }
                        else {
                            _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_4__pages_game_game__["a" /* GamePage */]);
                        }
                    }, function (error) {
                        console.log('ERROR TO GET GAME IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getInfoApp = _this.Global.getInfoApp();
                    _this.getInfoApp.subscribe(function (data) {
                        _this.infoApp = data;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.infoApp = _this.Global.replaceImgUrl(_this.infoApp);
                        }
                    }, function (error) {
                        console.log('ERROR TO GET INFO APP IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getCatMore = _this.Global.getCatMore();
                    _this.getCatMore.subscribe(function (more) {
                        _this.catMore = more;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.catMore = _this.Global.replaceImgUrl(_this.catMore);
                        }
                        _this.catMoreKeys = Object.keys(_this.catMore);
                        console.log('CATMORE: ', _this.catMore);
                    }, function (error) {
                        console.log('ERROR TO GET CATMORE IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                    _this.getRelated = _this.Global.getRelateds();
                    _this.getRelated.subscribe(function (related) {
                        _this.related = related;
                        if (_this.Global.getStorage('modeapp') == 'offline') {
                            _this.related = _this.Global.replaceImgUrl(_this.related);
                        }
                        _this.relatedKeys = Object.keys(_this.related);
                        console.log('RELATEDS: ', _this.related);
                    }, function (error) {
                        console.log('ERROR TO GET RELATEDS IN APP COMPONENT');
                        var alert = _this.alertCtrl.create({
                            title: 'Error!',
                            subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                            buttons: ['Cancel']
                        });
                        alert.present();
                    });
                }
            }, function (error) {
                console.log('CHECKMODE ERROR: Unable to reach the server.');
                _this.Global.setStorage('modeapp', 'offline');
                _this.getGame = _this.Global.GetGame();
                _this.getGame.subscribe(function (data) {
                    _this.game = data.game;
                    if (_this.game == false) {
                        _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_5__pages_listing_listing__["a" /* ListingPage */]);
                    }
                    else {
                        _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_4__pages_game_game__["a" /* GamePage */]);
                    }
                }, function (error) {
                    console.log('ERROR TO GET GAME IN APP COMPONENT');
                    var alert = _this.alertCtrl.create({
                        title: 'Error!',
                        subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                        buttons: ['Cancel']
                    });
                    alert.present();
                });
                _this.getInfoApp = _this.Global.getInfoApp();
                _this.getInfoApp.subscribe(function (data) {
                    _this.infoApp = data;
                    if (_this.Global.getStorage('modeapp') == 'offline') {
                        _this.infoApp = _this.Global.replaceImgUrl(_this.infoApp);
                    }
                }, function (error) {
                    console.log('ERROR TO GET INFO APP IN APP COMPONENT');
                    var alert = _this.alertCtrl.create({
                        title: 'Error!',
                        subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                        buttons: ['Cancel']
                    });
                    alert.present();
                });
                var alert = _this.alertCtrl.create({
                    title: 'Warning!',
                    subTitle: 'You are offline, your experience on this app can be different. Continue or check your internet connection and try again.',
                    buttons: ['OK']
                });
                alert.present();
            });
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp.prototype.openPage = function (page) {
        this.menu.close();
        this.nav.setRoot(page);
    };
    MyApp.prototype.pushPage = function (page) {
        this.menu.close();
        this.app.getRootNav().push(page);
    };
    MyApp.prototype.openRelated = function (relatedid) {
        this.menu.close();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_6__pages_related_related__["a" /* RelatedPage */], { related_id: relatedid });
    };
    MyApp.prototype.openCatmore = function (catmoreid) {
        this.menu.close();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_9__pages_catmore_catmore__["a" /* CatmorePage */], { catmore_id: catmoreid });
    };
    MyApp.prototype.openPagerelated = function (pagerelatedlink, pagerelatedtitolo) {
        this.menu.close();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_10__pages_page_related_page_related__["a" /* PageRelatedPage */], {
            pagerelated_link: pagerelatedlink,
            pagerelated_titolo: pagerelatedtitolo
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\app\app.html"*/'<ion-menu [content]="content" [swipeEnabled]="false">\n  <ion-content class="menu-content">\n    <ion-list class="menu-list">\n      <button ion-item detail-none (click)="openPage(listingpage)">\n        <ion-icon name="home" item-left></ion-icon>\n        {{infoApp?.app_name_categories}}\n      </button>\n      <button *ngIf="infoApp?.banner_mode != \'review\'" (click)="openPage(bonuspage)" ion-item detail-none>\n        <ion-icon name="cash" item-left></ion-icon>\n        {{infoApp?.app_name_bonuses}}\n      </button>\n      <!--<button ion-item detail-none (click)="openPage(gamepage)">\n        <ion-icon name="game-controller-a" item-left></ion-icon>\n        Slots\n      </button>-->\n      <ng-container *ngIf="infoApp?.banner_mode != \'review\'">\n        <button ion-item detail-none *ngFor="let key of relatedKeys" (click)="openRelated(related[key]?.term_id)">\n          <ion-icon name="logo-bitcoin" item-left></ion-icon>\n          {{related[key]?.title}}\n        </button>\n      </ng-container>\n      <ng-container *ngIf="infoApp?.banner_mode != \'review\'">\n        <button ion-item detail-none *ngFor="let key of catMoreKeys" (click)="openCatmore(catMore[key]?.term_id)">\n          <ion-icon name="star" item-left></ion-icon>\n          {{catMore[key]?.title}}\n        </button>\n      </ng-container>\n      <!--<ng-container *ngIf="game == false">\n        <button ion-item detail-none *ngFor="let key of pageRelatedkeys" (click)="openpageRelated(pageRelated[key]?.link,pageRelated[key]?.titolo)">\n          <ion-icon name="flame" item-left></ion-icon>\n          {{pageRelated[key]?.titolo}}\n        </button>\n      </ng-container>-->\n      <ng-container *ngIf="infoApp?.banner_mode != \'review\'">\n        <button ion-item detail-none (click)="openPage(wizardpage)">\n          <ion-icon name="color-wand" item-left></ion-icon>\n          Casino Wizard Tool\n        </button>\n      </ng-container>\n    </ion-list>\n  </ion-content>\n</ion-menu>\n\n<ion-nav [root]="rootPage" #content swipe-back-enabled="false"></ion-nav>\n'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_11__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* MenuController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 83:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReviewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Rx__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ReviewPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ReviewPage = /** @class */ (function () {
    function ReviewPage(navCtrl, navParams, loadingCtrl, Global, alertCtrl, events, device) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.Global = Global;
        this.alertCtrl = alertCtrl;
        this.events = events;
        this.device = device;
        this.reviewid = this.navParams.get('id_review');
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
    }
    ReviewPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('REVIEW READY');
        this.loading.present();
        this.getInfoApp = this.Global.getInfoApp();
        this.getInfoApp.subscribe(function (data) {
            _this.infoApp = data;
            console.log("INFOAPP: ", _this.infoApp);
            _this.getReview = _this.Global.getReview(_this.reviewid);
            _this.getReview.subscribe(function (data) {
                _this.review = data;
                if (_this.Global.getStorage('modeapp') == 'offline') {
                    _this.review = _this.Global.replaceImgUrl(_this.review);
                }
                console.log('REVIEW: ', _this.review);
                if (_this.rated) {
                    _this.rated = true;
                }
                else {
                    _this.rated = false;
                }
                _this.Global.viewAnalytics('Review: ' + _this.review.post_title);
                _this.loading.dismiss();
            }, function (error) {
                console.log('ERROR TO GET REVIEW');
                var alert = _this.alertCtrl.create({
                    title: 'Error!',
                    subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                    buttons: ['Cancel']
                });
                alert.present();
            });
        }, function (error) {
            console.log('ERROR TO GET INFOAPP');
            var alert = _this.alertCtrl.create({
                title: 'Error!',
                subTitle: 'Data cannot be reached at this time. Close the application and try again.',
                buttons: ['Cancel']
            });
            alert.present();
        });
    };
    ReviewPage.prototype.rate = function (rating) {
        var _this = this;
        var confirm = this.alertCtrl.create({
            enableBackdropDismiss: false,
            title: 'Rate this!',
            message: 'Rate this with ' + rating + ' stars?',
            buttons: [
                {
                    text: 'No',
                    handler: function () {
                        console.log('NO CLICKED');
                    }
                },
                {
                    text: 'Yes',
                    handler: function () {
                        console.log('YES CLICKED');
                        console.log('RATING: ', rating);
                        console.log('DEVICE: ', _this.device.uuid);
                        _this.sendVote = _this.Global.sendVote(_this.review.ID, _this.device.uuid, rating);
                        if (_this.sendVote != null) {
                            _this.sendVote.subscribe(function (data) {
                                console.log('RATED SUCCESFULLY');
                                _this.rated = true;
                                _this.Global.setStorage(_this.review.ID, true);
                                _this.review.voto = data.voto;
                                _this.events.publish('review:vote', _this.review.ID, _this.review.voto);
                            }, function (error) {
                                console.log('NOT RATED SUCCESFULLY');
                                var alert = _this.alertCtrl.create({
                                    title: 'Error!',
                                    subTitle: 'The vote was unsuccessful.',
                                    buttons: ['Cancel']
                                });
                            });
                        }
                    }
                }
            ]
        });
        confirm.present();
    };
    ReviewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-review',template:/*ion-inline-start:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\review\review.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>{{review?.post_title}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="profile-content">\n  <div class="user-details">\n    <ion-row class="user-main-data-row">\n      <ion-col no-padding col-md-1 col-3>\n        <preload-image class="user-image" [ratio]="{w:1, h:1}" [src]="review?.image_review" title="review?.post_title"></preload-image>\n      </ion-col>\n      <ion-col col-md-4 col-8 offset-1 offset-md-7 no-padding>\n        <ion-row class="social-presence-row">\n          <div class="rate-service" *ngIf="rated==false">\n            Rate this service!<br>\n            <rating [(ngModel)]="rating" readOnly="false" max="5" emptyStarIconName="star-outline" halfStarIconName="star-half" starIconName="star" (ngModelChange)="rate(rating)"></rating>\n          </div>\n          <div class="rate-service" *ngIf="rated==true">\n            Thanks for voting!<br>\n            <rating [(ngModel)]="review.voto" readOnly="true" max="5" emptyStarIconName="star-outline" halfStarIconName="star-half" starIconName="star"></rating>\n          </div>\n        </ion-row>\n        <ion-row class="profile-action-row">\n          <ion-col no-padding>\n            <button ion-button block small *ngIf="infoApp?.banner_mode != \'review\'" (click)="Global.GoTo(review?.link_esterno,review?.post_title, \'GoExtReview\')">\n              {{review?.button_text}}\n            </button>\n          </ion-col>\n        </ion-row>\n      </ion-col>\n    </ion-row>\n\n    <ion-row wrap class="user-bio-row">\n      <ion-col no-padding col-12>\n        <h2 class="user-name">{{review?.post_title}}</h2>\n      </ion-col>\n      <ion-col no-padding col-12>\n        <p class="user-description" [innerHTML]="review?.post_content"></p>\n      </ion-col>\n    </ion-row>\n  </div>\n\n</ion-content>\n\n<button class="bottom-fixed-button" *ngIf="infoApp?.banner_mode != \'review\'" ion-button block large (click)="Global.GoTo(review?.link_esterno,review?.post_title, \'GoExtReview\')">\n  {{review?.button_text}}\n</button>'/*ion-inline-end:"C:\Users\panar\onedrive\documenti\proceduraciocco\sf8b\src\pages\review\review.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_4__providers_global_var_global_var__["a" /* GlobalVarProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__["a" /* Device */]])
    ], ReviewPage);
    return ReviewPage;
}());

//# sourceMappingURL=review.js.map

/***/ }),

/***/ 86:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ComponentsModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__background_image_background_image__ = __webpack_require__(681);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__preload_image_preload_image__ = __webpack_require__(682);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ComponentsModule = /** @class */ (function () {
    function ComponentsModule() {
    }
    ComponentsModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__background_image_background_image__["a" /* BackgroundImageComponent */],
                __WEBPACK_IMPORTED_MODULE_3__preload_image_preload_image__["a" /* PreloadImageComponent */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicModule */]
            ],
            exports: [__WEBPACK_IMPORTED_MODULE_2__background_image_background_image__["a" /* BackgroundImageComponent */],
                __WEBPACK_IMPORTED_MODULE_3__preload_image_preload_image__["a" /* PreloadImageComponent */]]
        })
    ], ComponentsModule);
    return ComponentsModule;
}());

//# sourceMappingURL=components.module.js.map

/***/ })

},[370]);
//# sourceMappingURL=main.js.map